{
  "version": 1,
  "name": "LuaGenerated",
  "generatedClassName": "LuaGenerated",
  "contexts": ["base"],
  "types": [
    {
      "name": "me.ddayo.aris.luagen.CoroutineProvider.CoroutineReturn",
      "displayName": "CoroutineReturn",
      "description": null,
      "extends": []
    },
    {
      "name": "me.ddayo.aris.luagen.CoroutineProvider.LuaCoroutineIntegration",
      "displayName": "LuaCoroutineIntegration",
      "description": null,
      "extends": []
    },
    {
      "name": "me.ddayo.aris.luagen.LuaEngine.LuaCodeTask",
      "displayName": "LuaCodeTask",
      "description": null,
      "extends": ["me.ddayo.aris.luagen.LuaEngine.LuaTask"]
    },
    {
      "name": "me.ddayo.aris.luagen.LuaEngine.LuaTask",
      "displayName": "LuaTask",
      "description": null,
      "extends": []
    }
  ],
  "functions": [

  ],
  "methods": [
    {
      "kind": "method",
      "ownerType": "me.ddayo.aris.luagen.LuaEngine.LuaTask",
      "name": "get_task_name",
      "i18nKey": "me.ddayo.aris.luagen.LuaEngine.LuaTask:get_task_name()",
      "params": [],
      "returns": "string",
      "description": null
    },
    {
      "kind": "method",
      "ownerType": "me.ddayo.aris.luagen.CoroutineProvider.LuaCoroutineIntegration",
      "name": "next_iter",
      "i18nKey": "me.ddayo.aris.luagen.CoroutineProvider.LuaCoroutineIntegration:next_iter()",
      "params": [],
      "returns": "me.ddayo.aris.luagen.CoroutineProvider.CoroutineReturn",
      "description": null
    },
    {
      "kind": "method",
      "ownerType": "me.ddayo.aris.luagen.CoroutineProvider.CoroutineReturn",
      "name": "finished",
      "i18nKey": "me.ddayo.aris.luagen.CoroutineProvider.CoroutineReturn:finished()",
      "params": [],
      "returns": "boolean",
      "description": null
    },
    {
      "kind": "method",
      "ownerType": "me.ddayo.aris.luagen.CoroutineProvider.CoroutineReturn",
      "name": "value",
      "i18nKey": "me.ddayo.aris.luagen.CoroutineProvider.CoroutineReturn:value()",
      "params": [],
      "returns": "any",
      "description": null
    },
    {
      "kind": "method",
      "ownerType": "me.ddayo.aris.luagen.CoroutineProvider.CoroutineReturn",
      "name": "is_break",
      "i18nKey": "me.ddayo.aris.luagen.CoroutineProvider.CoroutineReturn:is_break()",
      "params": [],
      "returns": "boolean",
      "description": null
    }
  ]
}
